# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177853566424579/urllib3-feedstock/recipe, last modified Mon May 11 21:49:22 2026
# ------------------------------------------------

package:
  name: urllib3
  version: 2.7.0
source:
  url: https://pypi.org/packages/source/u/urllib3/urllib3-2.7.0.tar.gz
  sha256: 231e0ec3b63ceb14667c67be60f2f2c40a518cb38b03af60abc813da26505f4c
  patches:
    - patches/0001-remove-dummyserver-usage-in-tests.patch
build:
  number: '0'
  script: /home/task_177853566424579/croot/urllib3_1778536185042/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - hatch-vcs 0.5.0 py314h06a4308_0
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.0 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.0.1 pyh0d26453_1
    - pluggy 1.6.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - setuptools-scm 9.2.2 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026a he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - brotlicffi >=1.2.0
    - pysocks >=1.5.6,<2.0,!=1.5.7
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
  run_constrained:
    - h2 >=4,<5
test:
  source_files:
    - dummyserver
    - test
  imports:
    - urllib.parse
    - urllib3
    - urllib3.connection
    - urllib3.contrib
    - urllib3.http2
    - urllib3.util
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('urllib3')=='2.7.0')"
    - cd test && pytest -v test_collections.py test_compatibility.py test_connection.py
      test_connectionpool.py test_exceptions.py test_fields.py test_filepost.py test_http2_connection.py
      test_no_ssl.py test_poolmanager.py test_proxymanager.py test_queue_monkeypatch.py
      test_response.py test_retry.py test_ssl.py test_util.py test_wait.py tz_stub.py
  requires:
    - h2 >=4,<5
    - pip
    - pytest >=8.3.4
    - trio >=0.27.0
    - trustme >=1.2.1
about:
  home: https://urllib3.readthedocs.io
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: HTTP library with thread-safe connection pooling, file post, and more.
  description: 'urllib3 is a powerful, sanity-friendly HTTP client for Python. Much
    of the

    Python ecosystem already uses urllib3. urllib3 brings many critical features

    that are missing from the Python standard libraries, such as thread safety,

    connection pooling, client side ssl/tls verification, support for gzip and

    deflate encodings, HTTP and SOCKS proxy support, helpers for retrying requests

    and dealing with HTTP redirects.

    '
  doc_url: https://urllib3.readthedocs.io
  dev_url: https://github.com/urllib3/urllib3
extra:
  recipe-maintainers:
    - ocefpaf
    - pmlandwehr
    - sethmlarson
    - sigmavirus24
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/urllib3-feedstock
  sha: 63232ed26cffa38ade5027d1dfaf2a86638cd126
  task_id: M8oHCc0GTB-M2ohvbiRPpA
  task_run_id: '0'
  pbp_graph_uuid: e79e08db-2454-457f-b5fc-5b8b867f5445
